[php-maint] Bug#442063: Bug#442063: php5-curl: PHP5 CLI + curl = Segmentation fault

Raphael atomo64 at gmail.com
Thu Sep 13 00:40:13 UTC 2007

On 12/09/2007, Martin Marques <martin at bugs.unl.edu.ar> wrote:
> Package: php5-curl
> Version: 5.2.0-8+etch7
> Severity: normal
> I have a script written in PHP which is working on a production
> server ok. The thing is that I was adding some new functionalities
> to it and when testing it on my development server I get segmentation
> faults just when ending. Script executes great and does all the job,
> but at the end sends the segmentation fault message to the STDOUT.

By any chance are you performing some operations with the php5-pgsql
extension-provided functions in your script?
If so, it is already reported as #411982 (you should anyways take a look at it)

> Both server are Debian etch updated, and the differences are in
> extra libraries installed in the development server.
> Getting in deeper, commenting the extension lines in
> /etc/php5/conf.d/*.ini I found that the curl.so extension is what's
> giving these segmentation faults.
> Aparently mod_php5 for apache doesn't give any trouble.
> -- System Information:
> Debian Release: 4.0
>   APT prefers stable
>   APT policy: (500, 'stable'), (80, 'testing')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.18-5-686
> Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
> Versions of packages php5-curl depends on:
> ii  libapach 5.2.0-8+etch7                   server-side, HTML-embedded
> scripti
> ii  libc6    2.3.6.ds1-13etch2               GNU C Library: Shared libraries
> ii  libcomer 1.39+1.40-WIP-2006.11.14+dfsg-2 common error description
> library
> ii  libcurl3 7.15.5-1etch1                   Multi-protocol file transfer
> libra
> ii  libidn11 0.6.5-1                         GNU libidn library,
> implementation
> ii  libkrb53 1.4.4-7etch4                    MIT Kerberos runtime libraries
> ii  libssl0. 0.9.8c-4                        SSL shared libraries
> ii  php5-cli 5.2.0-8+etch7                   command-line interpreter for
> the p
> ii  php5-com 5.2.0-8+etch7                   Common files for packages built
> fr
> ii  zlib1g   1:1.2.3-13                      compression library - runtime
> php5-curl recommends no packages.
> -- no debconf information
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint at lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-php-maint

Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html

Say NO to Microsoft Office broken standard.
See http://www.noooxml.org/petition

More information about the pkg-php-maint mailing list